=== debian/changelog ===
ros-foxy-moveit-ros-visualization (2.2.3-1focal) focal; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Fri, 07 Jan 2022 07:00:00 -0000

ros-foxy-moveit-ros-visualization (2.2.2-1focal) focal; urgency=high

  * Add getSharedRobotModelLoader to fix race condition when having multiple displays for the same node (#525 <https://github.com/ros-planning/moveit2/issues/525>)
  * common_objects: getSharedRobotModelLoader fix deadlock (#734 <https://github.com/ros-planning/moveit2/issues/734>)
  * Fixes for Windows (#530 <https://github.com/ros-planning/moveit2/issues/530>)
  * Contributors: Akash, Lior Lustgarten, Tyler Weaver, Vatan Aksoy Tezer, Henning Kayser, Jorge Nicho, Nisala Kalupahana, Jafar Abdi

 -- Jon Binney <jon.binney@gmail.com>  Tue, 16 Nov 2021 07:00:00 -0000

ros-foxy-moveit-ros-visualization (2.2.1-1focal) focal; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Mon, 12 Jul 2021 06:00:00 -0000

ros-foxy-moveit-ros-visualization (2.2.0-1focal) focal; urgency=high

  * Declare warehouse params in rviz plugin (#513 <https://github.com/ros-planning/moveit2/issues/513>)
  * [sync] MoveIt's master branch up-to https://github.com/ros-planning/moveit/commit/0d0a6a171b3fbea97a0c4f284e13433ba66a4ea4
    * CI: Use compiler flag --pedantic (#2691 <https://github.com/ros-planning/moveit/issues/2691>)
    * Runtime fixes to PlanningSceneDisplay, MotionPlanningDisplay (#2618 <https://github.com/ros-planning/moveit/issues/2618>),(#2588 <https://github.com/ros-planning/moveit2/issues/2588>)
    * Support multiple planning pipelines with MoveGroup via MoveItCpp (#2127 <https://github.com/ros-planning/moveit/issues/2127>)Allow selecting planning pipeline in RViz MotionPlanningDisplay
  * Contributors: Bjar Ne, Henning Kayser, JafarAbdi, Michael Görner, Robert Haschke, Tyler Weaver

 -- Jon Binney <jon.binney@gmail.com>  Wed, 30 Jun 2021 06:00:00 -0000

ros-foxy-moveit-ros-visualization (2.1.4-1focal) focal; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Mon, 31 May 2021 06:00:00 -0000

ros-foxy-moveit-ros-visualization (2.1.3-1focal) focal; urgency=high



 -- Jon Binney <jon.binney@gmail.com>  Sat, 22 May 2021 06:00:00 -0000

ros-foxy-moveit-ros-visualization (2.1.2-1focal) focal; urgency=high

  * Fix robot_model & moveit_ros_visualization dependencies (#421 <https://github.com/ros-planning/moveit2/issues/421>)
  * Remove move_group namespace from MotionPlanning display (#420 <https://github.com/ros-planning/moveit2/issues/420>)
  * Contributors: Jafar Abdi, Vatan Aksoy Tezer

 -- Jon Binney <jon.binney@gmail.com>  Tue, 20 Apr 2021 06:00:00 -0000

ros-foxy-moveit-ros-visualization (2.1.1-1focal) focal; urgency=high

  * Fix EXPORT install in CMake (#372 <https://github.com/ros-planning/moveit2/issues/372>)
  * Add a private node to the interactive marker display (#342 <https://github.com/ros-planning/moveit2/issues/342>)
  * Sync main branch with MoveIt 1 from previous head https://github.com/ros-planning/moveit/commit/0247ed0027ca9d7f1a7f066e62c80c9ce5dbbb5e up to https://github.com/ros-planning/moveit/commit/74b3e30db2e8683ac17b339cc124675ae52a5114
  * [fix] export cmake likbrary install (#339 <https://github.com/ros-planning/moveit2/issues/339>)
  * MTC compatibility fixes (#323 <https://github.com/ros-planning/moveit2/issues/323>)
  * Remove redundant exports
  * moveit_ros_visualization: export libraries and include directory
  * Catch exceptions during RobotModel loading in rviz (#2468 <https://github.com/ros-planning/moveit2/issues/2468>)
  * Fix repo URLs in package.xml files
  * Contributors: Henning Kayser, Jafar Abdi, Simon Schmeisser, Tyler Weaver

 -- Jon Binney <jon.binney@gmail.com>  Mon, 12 Apr 2021 06:00:00 -0000

ros-foxy-moveit-ros-visualization (2.1.0-1focal) focal; urgency=high

  * [fix] Interactive markers not visible in motion planning plugin (#299 <https://github.com/ros-planning/moveit2/issues/299>)
  * [maint] Wrap common cmake code in 'moveit_package()' macro (#285 <https://github.com/ros-planning/moveit2/issues/285>)
    * New moveit_package() macro for compile flags, Windows support etc
    * Add package 'moveit_common' as build dependency for moveit_package()
    * Added -Wno-overloaded-virtual compiler flag for moveit_ros_planners_ompl
  * [maint] Compilation fixes for macOS (#271 <https://github.com/ros-planning/moveit2/issues/271>)
  * [ros2-migration] Port moveit_ros_warehouse to ROS 2 (#273 <https://github.com/ros-planning/moveit2/issues/273>)
  * [ros2-migration] Port trajectory_rviz_plugin to ROS 2 (#201 <https://github.com/ros-planning/moveit2/issues/201>)
  * Contributors: Henning Kayser, Jafar Abdi, Lior Lustgarten, Mark Moll, Yu Yan, Edwin Fan

 -- Jon Binney <jon.binney@gmail.com>  Mon, 23 Nov 2020 07:00:00 -0000

ros-foxy-moveit-ros-visualization (2.0.0-1focal) focal; urgency=high

  * [fix] moveit_ros_visualization fixes (#168 <https://github.com/ros-planning/moveit2/issues/168>)
    * robot_state_display: Fix empty robot description field
    * planning scene plugin: Fix destroySceneNode
  * [fix] Fix moveit_ros_visualization (#167 <https://github.com/ros-planning/moveit2/issues/167>)
  * [port] Port moveit ros visualization to ROS 2 (#160 <https://github.com/ros-planning/moveit2/issues/160>)
  * [port] Port rdf_loader to ROS2 (#104 <https://github.com/ros-planning/moveit2/issues/104>)
  * Contributors: Henning Kayser, Jafar Abdi

 -- Jon Binney <jon.binney@gmail.com>  Mon, 17 Feb 2020 07:00:00 -0000

ros-foxy-moveit-ros-visualization (1.1.1-1focal) focal; urgency=high

  * [feature] Clean up Rviz Motion Planning plugin, add tooltips (#2310 <https://github.com/ros-planning/moveit/issues/2310>)
  * [fix]     "Clear Octomap" button, disable when no octomap is published (#2320 <https://github.com/ros-planning/moveit/issues/2320>)
  * [fix]     clang-tidy warning (#2334 <https://github.com/ros-planning/moveit/issues/2334>)
  * [fix]     python3 issues (#2323 <https://github.com/ros-planning/moveit/issues/2323>)

